## itkgenericlabelinterpolator 1.2.1

=== test/CMakeLists.txt ===
itk_module_test()

set(GenericLabelInterpolatorTests
  RotateLabels.cxx
  )

CreateTestDriver(GenericLabelInterpolator "${GenericLabelInterpolator-Test_LIBRARIES}" "${GenericLabelInterpolatorTests}")

itk_add_test(NAME GenericLabelInterpolatorRotateLabelsTest
  COMMAND GenericLabelInterpolatorTestDriver
  --compare
    ${ITK_TEST_OUTPUT_DIR}/gl_gaussian_3.mha
    DATA{Baseline/gl_gaussian_3.mha}
  RotateLabels
    DATA{Input/classification.mha}
    ${ITK_TEST_OUTPUT_DIR}/
    3
  )

=== wrapping/CMakeLists.txt ===
itk_wrap_module(GenericLabelInterpolator)
itk_auto_load_submodules()
itk_end_wrap_module()

=== debian/changelog ===
itkgenericlabelinterpolator (1.2.1-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Pierre Gruet <pgt@debian.org>  Fri, 30 Aug 2024 14:44:11 +0200

itkgenericlabelinterpolator (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1079340)

 -- Pierre Gruet <pgt@debian.org>  Sat, 24 Aug 2024 15:50:00 +0200

=== debian/control ===
Source: itkgenericlabelinterpolator
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libinsighttoolkit5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/itkgenericlabelinterpolator
Vcs-Git: https://salsa.debian.org/med-team/itkgenericlabelinterpolator.git
Homepage: https://github.com/InsightSoftwareConsortium/ITKGenericLabelInterpolator
Rules-Requires-Root: no

Package: libitkgenericlabelinterpolator-dev
Architecture: any
Section: libdevel
Depends: libinsighttoolkit5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Insight Toolkit module to interpolate label images
 This module for the Insight Toolkit (ITK) provides a generic interpolator for
 label images to interpolate each label with an ordinary image interpolator, and
 return the label with the highest value.
 .
 This is the idea used by the itk::LabelImageGaussianInterpolateImageFunction
 interpolator. Unfortunately, this class is currently limited to Gaussian
 interpolation. Using generic programming, the proposed interpolator extends
 this idea to any image interpolator. Combined with linear interpolation, this
 results in similar or better accuracy and much improved computation speeds on
 a test image.

=== debian/tests/control ===
Tests: rotateLabelsPng
Depends: @, build-essential

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/InsightSoftwareConsortium/ITKGenericLabelInterpolator/releases?per_page=100 \
 https://api.github.com/repos/InsightSoftwareConsortium/ITKGenericLabelInterpolator/tarball/v?@ANY_VERSION@
